UTMPDUMP(1)

NUME
utmpdump - descarcă fișierele UTMP și WTMP în format brut

REZUMAT

utmpdump [opțiuni] nume-fișier

DESCRIERE

utmpdump este un program simplu pentru a descărca fișierele UTMP și WTMP în format brut, astfel încât acestea să poată fi examinate. utmpdump citește de la intrarea standard (stdin), cu excepția cazului în care este pasat un nume-fișier.

OPȚIUNI

-f, --follow
    Afișează datele anexate pe măsură ce fișierul crește.

-o, --output fișier
    Scrie ieșirea comenzii în fișier în loc de la ieșirea standard.

-r, --reverse
    Inversează procesul, scrie înapoi informațiile de autentificare editate în fișierele utmp sau wtmp.

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

NOTE

utmpdump poate fi util în cazul intrărilor utmp sau wtmp corupte. Acesta poate să descarce utmp/wtmp într-un fișier ASCII, care poate fi apoi editat pentru a elimina intrările false și reintegrat folosind:

    utmpdump -r < fișier_ascii > wtmp

Dar aveți grijă, utmpdump a fost scris doar în scopuri de depanare.

  Formate de fișiere

Numai versiunea binară a utmp(5) este standardizată. În viitor, descărcările textuale pot deveni incompatibile.

Versiunea 2.28 a fost ultima care a afișat o ieșire text folosind formatul de marcă temporală ctime(3). Datele mai noi utilizează formatul de marcă temporală ISO-8601 cu precizie de milisecunde în fusul orar UTC-0. Conversia de la formatul anterior al mărcii temporale se poate face în binar, deși încercarea de a face acest lucru poate duce la abaterea marcajului de timp din cauza decalajelor fusului orar.

ERORI

Puteți să nu folosiți opțiunea -r, deoarece formatul fișierelor utmp/wtmp depinde foarte mult de formatul de intrare. Acest instrument nu a fost scris pentru utilizare normală, ci doar pentru depanare.

AUTORI

Michael Krapp

CONSULTAȚI ȘI

last(1), w(1), who(1), utmp(5)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda utmpdump face parte din pachetul util-linux care poate fi descărcat de la